The property the deal is about, with its facts as of the deal. A closed project without a property has none (404).

​

Path Parameters

  • Deal id

Responses

  • application/json
  • application/problem+json
  • application/problem+json
  • application/problem+json
  • application/problem+json
Request Example for get/api/v1/comps/{id}/property
curl 'https://app.propstreet.com/api/v1/comps/{id}/property' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "propertyId": "string",
  "ownProperty": true,
  "pictureId": null,
  "pictureUrl": null,
  "isPortfolio": true,
  "propertyCount": null,
  "name": null,
  "locality": null,
  "country": null,
  "location": {
    "latitude": null,
    "longitude": null,
    "country": null,
    "locality": null
  },
  "factsAsOf": null,
  "categories": [
    {
      "type": "string",
      "rentedArea": {
        "value": 1,
        "unit": "string"
      },
      "vacantArea": {
        "value": 1,
        "unit": "string"
      }
    }
  ],
  "leasableArea": {
    "value": 1,
    "unit": "string"
  },
  "parcelArea": {
    "value": 1,
    "unit": "string"
  },
  "buildingRights": {
    "value": 1,
    "unit": "string"
  },
  "yearBuilt": null,
  "rentedPercent": null,
  "contractLengthYears": null,
  "rentalIncome": {
    "value": 0,
    "currency": "string",
    "scale": "string"
  },
  "netOperatingIncome": {
    "value": 0,
    "currency": "string",
    "scale": "string"
  },
  "totalCosts": {
    "value": 0,
    "currency": "string",
    "scale": "string"
  }
}